*"表題 地図描画 GTOOL3(GGMAPS)
*
*"履歴 95/05/29 竹広真一
*
*
*********************************************************************
*"         << 地図描画(複数ファイル名) >>
*********************************************************************
      SUBROUTINE GGMAPS( MFILES )
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC, NED
#else
#include         "gzsize.F"              !" NCC, NDC, NED
#endif
*
      CHARACTER  MFILES * (NFILN)        !" 地図情報ファイル名
      CHARACTER  CSEP * 1                !" ファイル名区切り子
      DATA       CSEP/','/
*
      IS = 1
*
 10   CONTINUE 
      IF( LENZ(MFILES(IS:NFILN)) .EQ. 0 ) RETURN
*
      IL = INDXCF( MFILES(IS:NFILN), NFILN-IS+1, 1, CSEP )
      IF ( IL .GT. 1 )THEN
         IE = IS-1 + IL-1
         CALL UMPMAP( MFILES(IS:IE) )
         IS = IE+2
      ELSE IF ( IL .EQ. 0 )THEN
         CALL UMPMAP( MFILES(IS:NFILN) )
         RETURN
      ELSE IF ( IL .EQ. 1 )THEN
         IS = IS+1
      ENDIF
      GOTO 10
*
      END
